device(1).
instances(1,2).
device(2).
instances(2,1).
device(3).
instances(3,2).
device(4).
instances(4,1).
device(5).
instances(5,1).
job(1).
job(2).
job(3).
job(4).
job(5).
job(6).
job(7).
job(8).
job(9).
job(10).
job(11).
job(12).
job(13).
job(14).
job(15).
job(16).
job(17).
job(18).
job(19).
job(20).
job(21).
job(22).
job(23).
job(24).
job(25).
job(26).
job(27).
job(28).
job(29).
job(30).
precedes(7,8).
precedes(8,9).
precedes(10,11).
precedes(11,12).
precedes(13,14).
precedes(1,2).
precedes(2,3).
precedes(4,5).
precedes(5,6).
job_len(14,19).
job_len(13,3).
job_len(12,9).
job_len(11,16).
job_len(10,12).
job_len(9,18).
job_len(8,16).
job_len(7,12).
job_len(6,5).
job_len(5,16).
job_len(4,10).
precedes(14,15).
precedes(16,17).
precedes(17,18).
precedes(19,20).
precedes(20,21).
precedes(22,23).
precedes(23,24).
precedes(25,26).
precedes(26,27).
precedes(28,29).
precedes(29,30).
importance(30,2).
importance(29,1).
importance(28,1).
importance(27,1).
importance(26,3).
importance(25,2).
importance(24,1).
importance(23,1).
importance(22,1).
importance(21,3).
importance(20,1).
importance(19,3).
importance(18,2).
importance(17,3).
importance(16,3).
importance(15,2).
importance(14,1).
importance(13,1).
importance(12,2).
importance(11,1).
importance(10,1).
importance(9,3).
importance(8,1).
importance(7,1).
importance(6,1).
importance(5,1).
importance(4,3).
importance(3,2).
importance(2,1).
importance(1,1).
job_device(1,2).
job_device(4,2).
job_device(7,2).
job_device(10,1).
job_device(13,1).
job_device(16,2).
job_device(19,1).
job_device(22,1).
job_device(25,2).
job_device(28,1).
job_device(2,4).
job_device(5,3).
job_device(8,4).
job_device(11,3).
job_device(14,4).
job_device(17,4).
job_device(20,4).
job_device(23,3).
job_device(26,3).
job_device(29,3).
job_device(3,5).
job_device(6,5).
job_device(9,5).
job_device(12,5).
job_device(15,5).
job_device(18,5).
job_device(21,5).
job_device(24,5).
job_device(27,5).
job_device(30,5).
job_len(30,7).
job_len(29,20).
job_len(28,19).
job_len(27,19).
job_len(26,20).
job_len(25,5).
job_len(24,6).
job_len(23,12).
job_len(22,6).
job_len(21,10).
job_len(20,16).
job_len(19,5).
job_len(18,7).
job_len(17,11).
job_len(16,15).
job_len(15,18).
job_len(3,12).
job_len(2,15).
job_len(1,14).
deadline(3,39).
deadline(6,12).
deadline(9,30).
deadline(12,38).
deadline(15,25).
deadline(18,40).
deadline(21,30).
deadline(24,36).
deadline(27,14).
deadline(30,23).
max_total_penalty(1032).
curr_job_start(18,55).
curr_job_start(15,37).
curr_job_start(12,28).
curr_job_start(9,62).
curr_job_start(17,22).
curr_job_start(14,3).
curr_job_start(8,33).
curr_job_start(11,12).
curr_job_start(16,0).
curr_job_start(7,15).
curr_job_start(13,0).
curr_job_start(10,0).
curr_on_instance(18,1).
curr_on_instance(17,1).
curr_on_instance(16,1).
curr_on_instance(15,1).
curr_on_instance(14,1).
curr_on_instance(13,2).
curr_on_instance(12,1).
curr_on_instance(11,1).
curr_on_instance(10,1).
curr_on_instance(9,1).
curr_on_instance(8,1).
curr_on_instance(7,1).
curr_time(51).
max_value(1280).

